import { Node, Entity } from './file-browser.model';
export declare class GenerateFileBrowser {
    nodes: Node[];
    entities: Entity[];
    static readonly type: string;
    constructor(nodes: Node[], entities: Entity[]);
}
export declare class GetNode {
    node: number;
    static readonly type: string;
    constructor(node: number);
}
export declare class GenerateHistory {
    node: number;
    static readonly type: string;
    constructor(node: number);
}
export declare class NodeSelect {
    node: Node;
    static readonly type: string;
    constructor(node: Node);
}
export declare class GenerateTreeFirstLevel {
    static readonly type: string;
    constructor();
}
export declare class GenerateTreeLevels {
    level: number;
    static readonly type: string;
    constructor(level: number);
}
export declare class ToggleFolder {
    node: number;
    static readonly type: string;
    constructor(node: number);
}
export declare class SortNodes {
    sort: string;
    static readonly type: string;
    constructor(sort: string);
}
